<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:35:40 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PapyrusJavaPackage.Literals (org.eclipse.papyrus.designer.languages.java.profile 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PapyrusJavaPackage.Literals (org.eclipse.papyrus.designer.languages.java.profile 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PapyrusJavaPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="PapyrusJavaPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava</div>
<h2 title="Interface PapyrusJavaPackage.Literals" class="title">Interface PapyrusJavaPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">PapyrusJavaPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">PapyrusJavaPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each operation of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#ARRAY">ARRAY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Array</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#ARRAY__BASE_ASSOCIATION">ARRAY__BASE_ASSOCIATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base association</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#ARRAY__BASE_PARAMETER">ARRAY__BASE_PARAMETER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base parameter</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#ARRAY__BASE_PROPERTY">ARRAY__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#ARRAY__DEFINITION">ARRAY__DEFINITION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Definition</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#DEFAULT">DEFAULT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/DefaultImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Default</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#DEFAULT__BASE_OPERATION">DEFAULT__BASE_OPERATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERN_LIBRARY">EXTERN_LIBRARY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternLibraryImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Extern Library</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERN_LIBRARY__BASE_PACKAGE">EXTERN_LIBRARY__BASE_PACKAGE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base package</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERN_LIBRARY__IMPORT_PATHS">EXTERN_LIBRARY__IMPORT_PATHS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Import Paths</b></em>' attribute list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERN_LIBRARY__IMPORTS">EXTERN_LIBRARY__IMPORTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Imports</b></em>' attribute list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERN_LIBRARY__LIB_PATHS">EXTERN_LIBRARY__LIB_PATHS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Lib Paths</b></em>' attribute list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERN_LIBRARY__LIBS">EXTERN_LIBRARY__LIBS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Libs</b></em>' attribute list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERNAL">EXTERNAL</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>External</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERNAL__BASE_CLASSIFIER">EXTERNAL__BASE_CLASSIFIER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#EXTERNAL__NAME">EXTERNAL__NAME</a></span></code>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#FINAL">FINAL</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/FinalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Final</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#FINAL__BASE_PARAMETER">FINAL__BASE_PARAMETER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Parameter</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#IMPORT">IMPORT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Import</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#IMPORT__BASE_CLASS">IMPORT__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#IMPORT__BASE_CLASSIFIER">IMPORT__BASE_CLASSIFIER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#IMPORT__MANUAL_IMPORTS">IMPORT__MANUAL_IMPORTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Manual Imports</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#MANUAL_GENERATION">MANUAL_GENERATION</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ManualGenerationImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Manual Generation</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#MANUAL_GENERATION__BASE_CLASS">MANUAL_GENERATION__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#MANUAL_GENERATION__EXTENSION_BODY">MANUAL_GENERATION__EXTENSION_BODY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Extension Body</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#NATIVE">NATIVE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NativeImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Native</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#NATIVE__BASE_OPERATION">NATIVE__BASE_OPERATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#NO_CODE_GEN">NO_CODE_GEN</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>No Code Gen</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#NO_CODE_GEN__BASE_ELEMENT">NO_CODE_GEN__BASE_ELEMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base element</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#STATIC_CLASSIFIER">STATIC_CLASSIFIER</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StaticClassifierImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Static Classifier</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#STATIC_CLASSIFIER__BASE_CLASSIFIER">STATIC_CLASSIFIER__BASE_CLASSIFIER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#STRICTFP">STRICTFP</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Strictfp</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#STRICTFP__BASE_CLASSIFIER">STRICTFP__BASE_CLASSIFIER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#STRICTFP__BASE_OPERATION">STRICTFP__BASE_OPERATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#SYNCHRONIZED">SYNCHRONIZED</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Synchronized</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#SYNCHRONIZED__BASE_OPERATION">SYNCHRONIZED__BASE_OPERATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE">TEMPLATE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Template</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE__BASE_CLASS">TEMPLATE__BASE_CLASS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base class</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE__DECLARATION">TEMPLATE__DECLARATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Declaration</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE_BINDING">TEMPLATE_BINDING</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateBindingImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Template Binding</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE_BINDING__BASE_TEMPLATEBINDING">TEMPLATE_BINDING__BASE_TEMPLATEBINDING</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base templatebinding</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE_BINDING__BINDING">TEMPLATE_BINDING__BINDING</a></span></code>
<div class="block">The meta object literal for the '<em><b>Binding</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE_PARAMETER">TEMPLATE_PARAMETER</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateParameterImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Template Parameter</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE_PARAMETER__BASE_TEMPLATEPARAMETER">TEMPLATE_PARAMETER__BASE_TEMPLATEPARAMETER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base templateparameter</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TEMPLATE_PARAMETER__NAME">TEMPLATE_PARAMETER__NAME</a></span></code>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TRANSIENT">TRANSIENT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TransientImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Transient</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#TRANSIENT__BASE_PROPERTY">TRANSIENT__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#VARIADIC">VARIADIC</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VariadicImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Variadic</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#VARIADIC__BASE_PARAMETER">VARIADIC__BASE_PARAMETER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Parameter</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#VOLATILE">VOLATILE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VolatileImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Volatile</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html#VOLATILE__BASE_PROPERTY">VOLATILE__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ARRAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARRAY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass ARRAY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Array</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>ArrayImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getArray--"><code>PapyrusJavaPackageImpl.getArray()</code></a></dd>
</dl>
</li>
</ul>
<a name="ARRAY__BASE_PARAMETER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARRAY__BASE_PARAMETER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARRAY__BASE_PARAMETER</pre>
<div class="block">The meta object literal for the '<em><b>Base parameter</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARRAY__DEFINITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARRAY__DEFINITION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute ARRAY__DEFINITION</pre>
<div class="block">The meta object literal for the '<em><b>Definition</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARRAY__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARRAY__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARRAY__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="ARRAY__BASE_ASSOCIATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARRAY__BASE_ASSOCIATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference ARRAY__BASE_ASSOCIATION</pre>
<div class="block">The meta object literal for the '<em><b>Base association</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXTERNAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERNAL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass EXTERNAL</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>External</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>ExternalImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getExternal--"><code>PapyrusJavaPackageImpl.getExternal()</code></a></dd>
</dl>
</li>
</ul>
<a name="EXTERNAL__NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERNAL__NAME</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute EXTERNAL__NAME</pre>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXTERNAL__BASE_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERNAL__BASE_CLASSIFIER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference EXTERNAL__BASE_CLASSIFIER</pre>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXTERN_LIBRARY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERN_LIBRARY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass EXTERN_LIBRARY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternLibraryImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Extern Library</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternLibraryImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>ExternLibraryImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getExternLibrary--"><code>PapyrusJavaPackageImpl.getExternLibrary()</code></a></dd>
</dl>
</li>
</ul>
<a name="EXTERN_LIBRARY__BASE_PACKAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERN_LIBRARY__BASE_PACKAGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference EXTERN_LIBRARY__BASE_PACKAGE</pre>
<div class="block">The meta object literal for the '<em><b>Base package</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXTERN_LIBRARY__IMPORT_PATHS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERN_LIBRARY__IMPORT_PATHS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute EXTERN_LIBRARY__IMPORT_PATHS</pre>
<div class="block">The meta object literal for the '<em><b>Import Paths</b></em>' attribute list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXTERN_LIBRARY__LIB_PATHS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERN_LIBRARY__LIB_PATHS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute EXTERN_LIBRARY__LIB_PATHS</pre>
<div class="block">The meta object literal for the '<em><b>Lib Paths</b></em>' attribute list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXTERN_LIBRARY__LIBS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERN_LIBRARY__LIBS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute EXTERN_LIBRARY__LIBS</pre>
<div class="block">The meta object literal for the '<em><b>Libs</b></em>' attribute list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXTERN_LIBRARY__IMPORTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTERN_LIBRARY__IMPORTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute EXTERN_LIBRARY__IMPORTS</pre>
<div class="block">The meta object literal for the '<em><b>Imports</b></em>' attribute list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="IMPORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPORT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass IMPORT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Import</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>ImportImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getImport--"><code>PapyrusJavaPackageImpl.getImport()</code></a></dd>
</dl>
</li>
</ul>
<a name="IMPORT__MANUAL_IMPORTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPORT__MANUAL_IMPORTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute IMPORT__MANUAL_IMPORTS</pre>
<div class="block">The meta object literal for the '<em><b>Manual Imports</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="IMPORT__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPORT__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference IMPORT__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="IMPORT__BASE_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPORT__BASE_CLASSIFIER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference IMPORT__BASE_CLASSIFIER</pre>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="NO_CODE_GEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_CODE_GEN</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass NO_CODE_GEN</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>No Code Gen</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>NoCodeGenImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getNoCodeGen--"><code>PapyrusJavaPackageImpl.getNoCodeGen()</code></a></dd>
</dl>
</li>
</ul>
<a name="NO_CODE_GEN__BASE_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_CODE_GEN__BASE_ELEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference NO_CODE_GEN__BASE_ELEMENT</pre>
<div class="block">The meta object literal for the '<em><b>Base element</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEMPLATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TEMPLATE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Template</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>TemplateImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getTemplate--"><code>PapyrusJavaPackageImpl.getTemplate()</code></a></dd>
</dl>
</li>
</ul>
<a name="TEMPLATE__DECLARATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE__DECLARATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TEMPLATE__DECLARATION</pre>
<div class="block">The meta object literal for the '<em><b>Declaration</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEMPLATE__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TEMPLATE__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEMPLATE_BINDING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE_BINDING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TEMPLATE_BINDING</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateBindingImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Template Binding</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateBindingImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>TemplateBindingImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getTemplateBinding--"><code>PapyrusJavaPackageImpl.getTemplateBinding()</code></a></dd>
</dl>
</li>
</ul>
<a name="TEMPLATE_BINDING__BINDING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE_BINDING__BINDING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TEMPLATE_BINDING__BINDING</pre>
<div class="block">The meta object literal for the '<em><b>Binding</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEMPLATE_BINDING__BASE_TEMPLATEBINDING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE_BINDING__BASE_TEMPLATEBINDING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TEMPLATE_BINDING__BASE_TEMPLATEBINDING</pre>
<div class="block">The meta object literal for the '<em><b>Base templatebinding</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEMPLATE_PARAMETER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE_PARAMETER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TEMPLATE_PARAMETER</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateParameterImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Template Parameter</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateParameterImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>TemplateParameterImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getTemplateParameter--"><code>PapyrusJavaPackageImpl.getTemplateParameter()</code></a></dd>
</dl>
</li>
</ul>
<a name="TEMPLATE_PARAMETER__NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE_PARAMETER__NAME</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute TEMPLATE_PARAMETER__NAME</pre>
<div class="block">The meta object literal for the '<em><b>Name</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TEMPLATE_PARAMETER__BASE_TEMPLATEPARAMETER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEMPLATE_PARAMETER__BASE_TEMPLATEPARAMETER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER__BASE_TEMPLATEPARAMETER</pre>
<div class="block">The meta object literal for the '<em><b>Base templateparameter</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MANUAL_GENERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MANUAL_GENERATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass MANUAL_GENERATION</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ManualGenerationImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Manual Generation</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ManualGenerationImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>ManualGenerationImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getManualGeneration--"><code>PapyrusJavaPackageImpl.getManualGeneration()</code></a></dd>
</dl>
</li>
</ul>
<a name="MANUAL_GENERATION__EXTENSION_BODY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MANUAL_GENERATION__EXTENSION_BODY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute MANUAL_GENERATION__EXTENSION_BODY</pre>
<div class="block">The meta object literal for the '<em><b>Extension Body</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="MANUAL_GENERATION__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MANUAL_GENERATION__BASE_CLASS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference MANUAL_GENERATION__BASE_CLASS</pre>
<div class="block">The meta object literal for the '<em><b>Base Class</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="VARIADIC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VARIADIC</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass VARIADIC</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VariadicImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Variadic</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VariadicImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>VariadicImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getVariadic--"><code>PapyrusJavaPackageImpl.getVariadic()</code></a></dd>
</dl>
</li>
</ul>
<a name="VARIADIC__BASE_PARAMETER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VARIADIC__BASE_PARAMETER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference VARIADIC__BASE_PARAMETER</pre>
<div class="block">The meta object literal for the '<em><b>Base Parameter</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="VOLATILE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VOLATILE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass VOLATILE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VolatileImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Volatile</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VolatileImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>VolatileImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getVolatile--"><code>PapyrusJavaPackageImpl.getVolatile()</code></a></dd>
</dl>
</li>
</ul>
<a name="VOLATILE__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VOLATILE__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference VOLATILE__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="TRANSIENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSIENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass TRANSIENT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TransientImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Transient</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TransientImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>TransientImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getTransient--"><code>PapyrusJavaPackageImpl.getTransient()</code></a></dd>
</dl>
</li>
</ul>
<a name="TRANSIENT__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSIENT__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference TRANSIENT__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="SYNCHRONIZED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYNCHRONIZED</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass SYNCHRONIZED</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Synchronized</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>SynchronizedImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getSynchronized--"><code>PapyrusJavaPackageImpl.getSynchronized()</code></a></dd>
</dl>
</li>
</ul>
<a name="SYNCHRONIZED__BASE_OPERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYNCHRONIZED__BASE_OPERATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference SYNCHRONIZED__BASE_OPERATION</pre>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="STRICTFP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRICTFP</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass STRICTFP</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Strictfp</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>StrictfpImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getStrictfp--"><code>PapyrusJavaPackageImpl.getStrictfp()</code></a></dd>
</dl>
</li>
</ul>
<a name="STRICTFP__BASE_OPERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRICTFP__BASE_OPERATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference STRICTFP__BASE_OPERATION</pre>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="STRICTFP__BASE_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRICTFP__BASE_CLASSIFIER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference STRICTFP__BASE_CLASSIFIER</pre>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="NATIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NATIVE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass NATIVE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NativeImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Native</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NativeImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>NativeImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getNative--"><code>PapyrusJavaPackageImpl.getNative()</code></a></dd>
</dl>
</li>
</ul>
<a name="NATIVE__BASE_OPERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NATIVE__BASE_OPERATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference NATIVE__BASE_OPERATION</pre>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass DEFAULT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/DefaultImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Default</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/DefaultImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>DefaultImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getDefault--"><code>PapyrusJavaPackageImpl.getDefault()</code></a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT__BASE_OPERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT__BASE_OPERATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DEFAULT__BASE_OPERATION</pre>
<div class="block">The meta object literal for the '<em><b>Base Operation</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="STATIC_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATIC_CLASSIFIER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass STATIC_CLASSIFIER</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StaticClassifierImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Static Classifier</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StaticClassifierImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>StaticClassifierImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getStaticClassifier--"><code>PapyrusJavaPackageImpl.getStaticClassifier()</code></a></dd>
</dl>
</li>
</ul>
<a name="STATIC_CLASSIFIER__BASE_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATIC_CLASSIFIER__BASE_CLASSIFIER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference STATIC_CLASSIFIER__BASE_CLASSIFIER</pre>
<div class="block">The meta object literal for the '<em><b>Base Classifier</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FINAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FINAL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass FINAL</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/FinalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code><em>Final</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/FinalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><code>FinalImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html#getFinal--"><code>PapyrusJavaPackageImpl.getFinal()</code></a></dd>
</dl>
</li>
</ul>
<a name="FINAL__BASE_PARAMETER">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FINAL__BASE_PARAMETER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference FINAL__BASE_PARAMETER</pre>
<div class="block">The meta object literal for the '<em><b>Base Parameter</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PapyrusJavaPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="PapyrusJavaPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
